Soru & Cevap

Yeni apk dosyasında sertifika probemi ...

21.12.2013 - 10:33

Merhaba,

 

Uygulamamı Eclipse üzerinde Run diyerek çalıştırdığımda çalışıyordu ancak apk dosyasını şu şekilde sertifikaladığım zaman S3 ve S4 gibi cihazlarda imazlanmış apk uygulaması çalışmıyordu. 

Bende Bin dosyasının içindeki APK dosyasını telefona atarak uygulamayı çalıştırdım, sonrasında Google Play'e attığımda benden Zipalign yapmamı istedi, bu şekilde yaptım. 

 

Sonrasında uygulamayı yüklemeye çalıştığımda Google Play şu hatayı döndü : 

 

RETIM'E YENI APK YÜKLE

Yükleme başarısız oldu

Önceki APK’larınızdan farklı bir sertifika ile imzalanmış bir APK yüklediniz. Aynı sertifikayı kullanmanız gerekir. Mevcut APK’larınız dijital parmak izli sertifikalarla imzalanmış durumda:

[ SHA1: 98:D9:8E:8B:F3:B8:DA:86:C4:84:A8:B6:F1:19:75:3D:16:E1:1C:52 ]

ve yüklediğiniz APK'yı imzalamak için kullanılan sertifikalarda şu dijital parmak izleri var:

[ SHA1: D7:15:42:4F:BD:A0:5F:EC:9B:96:70:05:A8:1D:14:16:F7:9D:43:61 ]

 

Başka bir APK yükle

Bu uygulamayı yayınlayarak Geliştirici Program Politikaları ile (geliştirici reklam politikası dahil) uyumlu olduğunu onaylamış olursunuz. Uygulamanız ABD ihracat yasalarına tabi olabilir ve siz de söz konusu tüm yasalara uymayı kabul edersiniz. Daha fazla bilgi edinin

Şimdi Üretim'e yayınla

 

Taslağı kaydet

 

İptal

1,086 Görüntülenme

3 Cevap

Sitedeki sorulara cevap verebilmek için giriş yapın ya da üye olun.

picture-169072-1586721313.jpg
esrakaran65
09.01.2019 - 02:38

Merhaba,

Bende de bu na benzer bir hata verdi nasıl çözebilirim???

 

Yükleme sertifikasıyla imzalanmamış bir APK yüklediniz. Aynı sertifikayı kullanmanız gerekir. Yükleme sertifikası şu dijital parmak izine sahip:

[ SHA1: 67:60:03:26:63:AA:3D:32:D8:B2:4D:1D:9C:03:E6:62:47:FF:DE:B4 ]
; yüklediğiniz APK'yı imzalamak için kullandığınız sertifika şu dijital parmak izine sahip:
[ SHA1: A4:68:C5:AE:1D:81:EF:D9:09:0B:C1:70:BC:85:6B:1A:23:80:8C:47 ]

APK'nızın veya Android App Bundle'ınızın paket adının appinventor.ai_esrakaran65.vbd olması gerekiyor.

picture-2827-1418894077.jpg
macir27
21.12.2013 - 11:51

Merhaba,

Apk dosyasını farklı bir lokasyona oluşturmayı deniyordum, o yüzden yeni keystore oluşturmuştum. O zaman eski lokasyonuna ve eski keystore üzerinden tekrar oluşturmayı deneyeyim. 

Teşekkürler.

Profile picture for user bavucan
bavucan
21.12.2013 - 11:06

Merhaba,

Farklı bir keystore ile denemiş olabilir misin? Yaratılan her keystore o uygulamaya özel ve kesinlikle kaybedilmemesi gerekiyor. Aynı hatayı ben de yapmıştım keystore'u kaybettim ve uygulamayı markete sıfırdan yüklemem gerekti.

Bulabiliyorsan dosya yaratılış zamanlarından eski keystore'unu tekrar bulmaya çalış ve tekrar zipalign dene. Eğer bulamassam sıfırdan yaratman gerekiyor. Bu da marketteki versiyonu güncelleyemeceğin anlamına geliyor maalesef.